#-----------------------------------------------------------------------------
#
# QWTConfig.cmake - QWT CMake configuration file for external projects.
#
# This file is configured by QWT and used by the UseQWT.cmake module
# to load QWT's settings for an external project.

# The QWT include file directories.
SET(QWT_INCLUDE_DIRS "${QWT_DIR}/include")


# The QWT library directories.
SET(QWT_LIBRARY_DIRS "${QWT_DIR}/lib")

# The binary directory for QWT
SET(QWT_BINARY_DIR "${QWT_DIR}/lib")

# The C and C++ flags added by QWT to the cmake-configured flags.
SET(QWT_REQUIRED_C_FLAGS "")
SET(QWT_REQUIRED_CXX_FLAGS "")
SET(QWT_REQUIRED_LINK_FLAGS "")

# The QWT version number
SET(QWT_VERSION_MAJOR "0")
SET(QWT_VERSION_MINOR "1")
SET(QWT_VERSION_PATCH "0")

# The location of the UseQWT.cmake file.
SET(QWT_USE_FILE "${QWT_DIR}/UseQWT.cmake")

# The build settings file.
#SET(QWT_BUILD_SETTINGS_FILE "${QWT_DIR}/QWTBuildSettings.cmake")

# Whether QWT was built with shared libraries.
SET(QWT_BUILD_SHARED "ON")

# A list of all libraries for QWT.  Those listed here should
# automatically pull in their dependencies.

SET(QWT_LIBRARY qwt5)
SET(QWT_LIBRARY_DEBUG qwtd5)
