#
# This file sets up include directories, link directories, and
# compiler settings for a project to use LIBNOISE.  It should not be
# included directly, but rather through the LIBNOISE_USE_FILE setting
# obtained from LIBNOISEConfig.cmake.
#

#IF(LIBNOISE_BUILD_SETTINGS_FILE)
 # INCLUDE(${CMAKE_ROOT}/Modules/CMakeImportBuildSettings.cmake)
#  CMAKE_IMPORT_BUILD_SETTINGS(${LIBNOISE_BUILD_SETTINGS_FILE})
#ENDIF(LIBNOISE_BUILD_SETTINGS_FILE)

# Add compiler flags needed to use LIBNOISE.
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${LIBNOISE_REQUIRED_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBNOISE_REQUIRED_CXX_FLAGS}")
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${LIBNOISE_REQUIRED_LINK_FLAGS}")
SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${LIBNOISE_REQUIRED_LINK_FLAGS}")
SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${LIBNOISE_REQUIRED_LINK_FLAGS}")

# Add include directories needed to use LIBNOISE.
INCLUDE_DIRECTORIES(BEFORE ${LIBNOISE_INCLUDE_DIRS})

# Add link directories needed to use LIBNOISE.
LINK_DIRECTORIES(${LIBNOISE_LIBRARY_DIRS})