/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			OpenCLInstantiations.cxx
	Version:		$Revision: 2103 $
	Date:			$Date: 2011-11-28 11:54:24 +0100 (Mo, 28 Nov 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include "OpenCLImportImageContainer.txx"
#include "OpenCLRegularMemoryImportImageContainer.txx"
#include "OpenCLImageMemoryImportImageContainer.txx"
//#include "OpenCLArrayImportImageContainer.txx"


namespace ritk
{

template class OPENCL_EXPORT OpenCLImportImageContainer<unsigned long, float>;
template class OPENCL_EXPORT OpenCLImportImageContainer<unsigned long, unsigned char>;
template class OPENCL_EXPORT OpenCLImportImageContainer<unsigned long, itk::Vector<float,3>>;
template class OPENCL_EXPORT OpenCLRegularMemoryImportImageContainer<unsigned long, float>;
template class OPENCL_EXPORT OpenCLRegularMemoryImportImageContainer<unsigned long, unsigned char>;
template class OPENCL_EXPORT OpenCLRegularMemoryImportImageContainer<unsigned long, itk::Vector<float,3>>;
template class OPENCL_EXPORT OpenCLImageMemoryImportImageContainer<unsigned long, float>;
template class OPENCL_EXPORT OpenCLImageMemoryImportImageContainer<unsigned long, unsigned char>;
//template class OPENCL_EXPORT OpenCLArrayImportImageContainer<unsigned long, float>;

} // ritk
