#ifndef KinectSDKPLAYERPLUGINFACTORY_H__
#define KinectSDKPLAYERPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class KinectSDKSourcePluginFactory : public QObject, public ritk::SourcePluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::SourcePluginFactory)

public:
	/// Constructor
	KinectSDKSourcePluginFactory();
	/// Destructor
	~KinectSDKSourcePluginFactory();

	/// Create an instance of the player plugin
	ritk::SourcePlugin* CreateInstance();

	/// Return the name of the player plugin
	QString GetName();

	/// Return a short description for this player plugin
	QString GetDescription();
};


#endif // KinectSDKPLAYERPLUGINFACTORY_H__
